Class | WEBrick::Daemon
In: | webrick/server.rb
Parent: | Object

### Methods

start

### Public Class methods

start() {|if block_given?| ...}

[Source]

    # File webrick/server.rb, line 28
        def Daemon.start
          exit!(0) if fork
          Process::setsid
          exit!(0) if fork
          Dir::chdir("/")
          File::umask(0)
          STDIN.reopen("/dev/null")
          STDOUT.reopen("/dev/null", "w")
          STDERR.reopen("/dev/null", "w")
          yield if block_given?
        end

[Validate]